Cisco Firepower Threat Defense Software Stream Reassembly Bypass (cisco-sa-20190816-ftd-srb)

Medium Nessus Plugin ID 142497

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 4.3

Synopsis

The remote device is affected by a stream reassembly bypass vulnerability.

Description

A stream reassembly bypass vulnerability exists in Cisco Firepower Threat Defense (FTD) due to improper reassembly of traffic streams. An unauthenticated, remote attacker can exploit this, by sending specially crafted streams through an affected device to bypass filtering and deliver malicious requests to protected systems that would otherwise be blocked.

Please see the included Cisco BID and Cisco Security Advisory for more information.

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade to the relevant fixed version referenced in the Cisco Security Advisory.

See Also

http://www.nessus.org/u?944df84a

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvq39955

Plugin Details

Severity: Medium

ID: 142497

File Name: cisco-sa-20190816-ftd-srb.nasl

Version: 1.4

Type: local

Family: CISCO

Published: 2020/11/06

Updated: 2020/11/09

Dependencies: 131952, 128052

Risk Information

Risk Factor: Medium

VPR Score: 4.3

CVSS Score Source: CVE-2019-1978

CVSS v2.0

Base Score: 5

Temporal Score: 3.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSS v3.0

Base Score: 5.8

Temporal Score: 5.2

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:N/I:L/A:N

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:cisco:firepower_threat_defense

Required KB Items: installed_sw/Cisco Firepower Threat Defense

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2019/08/16

Vulnerability Publication Date: 2019/08/16

Reference Information

CVE: CVE-2019-1978

CISCO-BUG-ID: CSCvq39955

CISCO-SA: cisco-sa-20190816-ftd-srb

CWE: 264